const webpack = require("webpack");
const currentConfig = require("./webpack/webpack.prod.config");
const merge = require("webpack-merge");
let config = {},
  importConfig = {};

import Builder from "./build/index.js";
let build = new Builder();

function getConfig(options, env) {
  return options.devkit.commands[env].options;
}

/**
  * @function run
  * @desc     创建用于开发过程中的webpack打包配置
  *
  * @param {Object}  options                         参数
  * @param {Boolean} options.name               是否启用px2rem
  *
  * @example
  */
export function run(ctx, options) {
  console.log(options);
    console.log(arguments);

    importConfig = getConfig(ctx.projectConfig, options.env);
    config = merge(currentConfig, build.createDevConfig(importConfig));
    webpack(config, (err, stats) => {
    if (err) {
        console.log(err);
    }
    console.log(
        stats.toString({
        chunks: false,
        colors: true,
        children: false
        })
    );
    });
}

