const webpack = require("webpack");
const currentConfig = require("./webpack/webpack.dev.config");
const merge = require("webpack-merge");
const WebpackDevServer = require("webpack-dev-server");

let config = {},
  importConfig = {};

import Builder from "./build/index.js";
let build = new Builder();

function getConfig(options, env) {
  return options.devkit.commands[env].options;
}

module.exports = ctx => {
  importConfig = getConfig(ctx.projectConfig, "dev");
  config = merge(currentConfig, build.createDevConfig(importConfig));
  console.log(config);

  const compiler = webpack(config);
  const devServerOptions = Object.assign({}, config.devServer, {
    open: true,
    stats: {
      colors: true
    }
  });
  
  const server = new WebpackDevServer(compiler, devServerOptions);

  server.listen(1234, "localhost", () => {
    console.log("Starting server on http://localhost:1234");
  });

  
  // webpack(config, (err, stats) => {
  //   if (err) {
  //     console.log(err);
  //   }
  //   console.log(
  //     stats.toString({
  //       chunks: false,
  //       colors: true,
  //       children: false
  //     })
  //   );
  // });
};
